package com.chinacreator.video.bean;

import java.util.List;

public class VipInfo {

	private String userid;
	private String usertype;
	private String userval;
	private String activetype;
	private String channel;
	private String timestamp;
	private String signature;
	private String cpid;
	private String spid;
	private int type =0;
	private String appid;
	private String vipname;
	private String ext;				//扩展值
	
	private String sptype;
	private List<Vip> vips;
	private String code;
	private String info;
	private String pwd;
	private String mobtype;
	private String remark;
	private String givetime;
	
	private String vippool;
	private String givecpid;
	private int givecount=0;
	private List<String> cpids;
	
	private boolean activetime;
	private String begintime;
	private String endtime;
	  
	public String getExt() {
		return ext;
	}

	public void setExt(String ext) {
		this.ext = ext;
	}

	public String getVipname() {
		return vipname;
	}
	public void setVipname(String vipname) {
		this.vipname = vipname;
	}
	public String getAppid() {
		return appid;
	}
	public void setAppid(String appid) {
		this.appid = appid;
	}
	public int getType() {
		return type;
	}
	public void setType(int type) {
		this.type = type;
	}
	public String getCpid() {
		return cpid;
	}
	public void setCpid(String cpid) {
		this.cpid = cpid;
	}
	public String getSpid() {
		return spid;
	}
	public void setSpid(String spid) {
		this.spid = spid;
	}
	public String getSignature() {
		return signature;
	}
	public void setSignature(String signature) {
		this.signature = signature;
	}
	public String getTimestamp() {
		return timestamp;
	}
	public void setTimestamp(String timestamp) {
		this.timestamp = timestamp;
	}
	public String getUserid() {
		return userid;
	}
	public void setUserid(String userid) {
		this.userid = userid;
	}
	public String getUsertype() {
		return usertype;
	}
	public void setUsertype(String usertype) {
		this.usertype = usertype;
	}
	public String getUserval() {
		return userval;
	}
	public void setUserval(String userval) {
		this.userval = userval;
	}
	public String getActivetype() {
		return activetype;
	}
	public void setActivetype(String activetype) {
		this.activetype = activetype;
	}
	public String getChannel() {
		return channel;
	}
	public void setChannel(String channel) {
		this.channel = channel;
	}

	public String getSptype() {
		return sptype;
	}

	public void setSptype(String sptype) {
		this.sptype = sptype;
	}

	public List<Vip> getVips() {
		return vips;
	}

	public void setVips(List<Vip> vips) {
		this.vips = vips;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getInfo() {
		return info;
	}

	public void setInfo(String info) {
		this.info = info;
	}

	public String getPwd() {
		return pwd;
	}

	public void setPwd(String pwd) {
		this.pwd = pwd;
	}

	public String getMobtype() {
		return mobtype;
	}

	public void setMobtype(String mobtype) {
		this.mobtype = mobtype;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getGivetime() {
		return givetime;
	}

	public void setGivetime(String givetime) {
		this.givetime = givetime;
	}

	public String getVippool() {
		return vippool;
	}

	public void setVippool(String vippool) {
		this.vippool = vippool;
	}

	public String getGivecpid() {
		return givecpid;
	}

	public void setGivecpid(String givecpid) {
		this.givecpid = givecpid;
	}

	public int getGivecount() {
		return givecount;
	}

	public void setGivecount(int givecount) {
		this.givecount = givecount;
	}

	public List<String> getCpids() {
		return cpids;
	}

	public void setCpids(List<String> cpids) {
		this.cpids = cpids;
	}
	
	public boolean isActivetime() {
		return activetime;
	}

	public void setActivetime(boolean activetime) {
		this.activetime = activetime;
	}

	public String getBegintime() {
		return begintime;
	}

	public void setBegintime(String begintime) {
		this.begintime = begintime;
	}

	public String getEndtime() {
		return endtime;
	}

	public void setEndtime(String endtime) {
		this.endtime = endtime;
	}

	//是否为选择领取的会员
	public boolean isSelectCpid(String cpid) {
		if(this.cpids == null){
			return false;
		}
		
		for(String bo:this.cpids){
			if(bo != null && bo.equals(cpid)){
				return true;
			}
		}
		return false;
	}

}
